close all;
clear all;
warning off
N=1000;
ev = [linspace(0,0.025,N) linspace(0.025,1/4,N)];
u = zeros(size(ev));
N = length(ev);

for k=1:N
    e = ev(k);
    a = sqrt(1-16*e^2);
    b = 1+8*e^2;
    u(k) = sqrt(2)/AGM(sqrt(b+a),sqrt(b-a));
end

p = u;
h=plot(ev,p,'k-');

set(h,'LineWidth',2);
set(gca,'XTickMode','manual','XTick',[0 0.0619139544739909 0.25],'XTickLabel',{'0';'0.0619';'1/4'},...
        'YTickMode','manual','YTick',[1,2]);
set(gca,'FontSize',18,'FontWeight','normal','FontName','Times');
grid on;
hold on;
axis([-0.0025 0.25+0.0025 0.9 6.96])
xlabel('Bias {\it\epsilon}','FontWeight','normal','FontSize',24);
ylabel('Expected number of visits{} {\itE}','FontWeight','normal','FontSize',24);

% print -deps2c E6.eps